      subroutine reoricas(i,j,k,l,icas)
!
! On reordonne en 4 3 2 1,  on note icas

!Notation:   Phys.     Chim.
! icas=1 : 4 3 2 1    4 2 3 1
! icas=2 : 4 3 1 2    4 1 3 2
! icas=3 : 4 2 3 1    4 3 2 1
!
! les indices utilises ici sont en notation Chimie
!
! 1. Mise de i,j,k,l sous forme canonique
       if(i<j) then
          iii=j
          j=i
          i=iii
       endif
       if(k<l) then
          iii=k
          k=l
          l=iii
       endif
       if(i<k) then
          iii=k
          k=i
          i=iii
          iii=l
          l=j
          j=iii
       endif
!
! 2. on distingue les 3 integrales i>j>k>l    i>j>l>k    i>k>j>l
! 2. on distingue les 3 integrales (ijkl) = (4231) (4132) (4321) 
!    icas= resp. 1, 2, 3
       if(j>k) then
          icas=3
       else if(j>l) then
          icas=1
       else
          icas=2
       endif 
       return
       end



      subroutine reoricas2(i,j,k,l)
!
! On reordonne en 4 3 2 1,  on note icas

!Notation:   Phys.     Chim.
! icas=1 : 4 3 2 1    4 2 3 1
! icas=2 : 4 3 1 2    4 1 3 2
! icas=3 : 4 2 3 1    4 3 2 1
!
! les indices utilises ici sont en notation Chimie
!
! 1. Mise de i,j,k,l sous forme canonique
       if(i<j) then
          iii=j
          j=i
          i=iii
       endif
       if(k<l) then
          iii=k
          k=l
          l=iii
       endif
       if(i<k) then
          iii=k
          k=i
          i=iii
          iii=l
          l=j
          j=iii
       endif
!
! 2. mise des indices en ordre decroissant
       if(j>k) then
       else if(j>l) then
          iii=j
          j=k
          k=iii
       else
          iii=k
          k=l
          l=j
          j=iii
       endif 
       return
       end



